> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Quote Details

GET https://api-b2b.bigcommerce.com/api/v3/io/rfq/{quote_id}

Retrieves the full details of a specific quote based on the provided `quote_id`.

This endpoint provides more detailed information about a specific quote than [Get All Quotes](#get-all-quotes). This includes line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/quotes/get-rfq-quote-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `quote_id` (integer, required) — The internal numeric ID of the sales quote.

### Query parameters

- `date` (string, required) — The date that the quote was created. Use %m/%d/%Y format.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `data` (quoteData_GET_ONE, optional)
- `meta` (RfqQuoteIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### quoteData_GET_ONE

- `quoteNumber` (string, optional) — The quote identifier that is visible in the B2B Edition control panel and the Buyer Portal.
- `status` (enum, optional) — The numeric ID associated with the quote’s status. See [Quote Statuses](#quote-statuses) to learn about the statuses that correspond to each ID.
  - Allowed values: `0`, `2`, `3`, `4`, `5`, `6`, `7`
- `bcOrderId` (string, optional) — The BigCommerce order ID associated with the sales quote.
- `orderId` (string, optional) — The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the `bcOrderId` field.
- `channelName` (string, optional) — The name of the storefront channel associated with the quote.
- `createdAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote was created. This is a read-only field.
- `expiredAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote expires. This is a read-only field.
- `createdBy` (string, optional) — The name of the sales rep or buyer who created the quote.
- `subtotal` (double, optional) — The quoted total after discounts and before shipping and tax. If you are updating the line items or discounts on a quote, you must also update the subtotal to reflect the new pricing.
- `channelId` (integer, optional, default: 1) — The storefront channel ID associated with the quote. This is required if your store has multiple storefront channels. Use `1` for your store’s default storefront channel.
- `quoteTitle` (string, optional) — The external title given to the quote.
- `referenceNumber` (string, optional) — An identifier for the quote that can be supplied by the sales rep or the buyer, such as a Purchase Order number.
- `currency` (QuoteDataGetOneCurrency, optional)
- `extraFields` (list of ExtraFieldsItems, optional) — Adds extra field information to the quote. This is required if your store has required quote extra fields. If you include the array in the request, you must include all of its fields.
- `notes` (string, optional) — The quote’s buyer-facing notes. Use the newline character ` ` to separate each line of text.
- `discount` (double, optional) — The total value of discounts applied to the quote.
- `grandTotal` (double, optional) — The quoted total after discounts, shipping, and tax are applied. If you are updating the line items or discounts on a quote, you must also update the grand total to reflect the new pricing.
- `legalTerms` (string, optional) — The quote’s terms and conditions. Use the newline character ` ` to separate each line of text. Omitting this field or leaving it blank does not add your store’s default terms and conditions to the quote. Instead, the quote will not display any terms.
- `displayDiscount` (boolean, optional) — Determines if buyers can see quoted discount values in the Buyer Portal, or if they only see the quoted prices. If left blank, the quote uses the discount display selection in your Quote settings.
- `allowCheckout` (boolean, optional) — Determines whether or not the buyer can take the quote to the checkout page. If left blank, the quote uses the checkout selection in your Quote settings.
- `productList` (list of ProductListItems, optional) — Line item information for the quote. If you add this array to the request, you must include all existing line items that you want to keep in the quote.
- `shippingAddress` (companyAddress, optional)
- `contactInfo` (contactInfo, optional) — Contact information for the buyer on the quote. Display-only metadata; not used to resolve or validate the linked customer or Company record.
- `updatedAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) when the quote was last modified.
- `discountType` (enum, optional) — Indicates whether the quote uses line item discounts (0), percentage discounts (1), or fixed amount discounts (2).
  - Allowed values: `0`, `1`, `2`
- `discountValue` (double, optional, nullable) — The total discount value on the quote. If there are no discounts, the value is `null`.
- `shippingTotal` (double, optional) — The total cost of shipping on the quote.
- `taxTotal` (double, optional) — The total tax cost on the quote.
- `totalAmount` (double, optional) — The total price of the quote after any discounts.
- `quoteLogo` (string, optional) — The image URL of the store logo added to quote emails and PDFs.
- `shippingMethod` (QuoteDataGetOneShippingMethod, optional)
- `billingAddress` (QuoteDataGetOneBillingAddress, optional)
- `storeInfo` (QuoteDataGetOneStoreInfo, optional)
- `companyInfo` (QuoteDataGetOneCompanyInfo, optional)
- `salesRepInfo` (QuoteDataGetOneSalesRepInfo, optional)
- `storefrontAttachFiles` (list of QuoteDataGetOneStorefrontAttachFilesItems, optional) — Information on files attached to the quote by the buyer.
- `backendAttachFiles` (list of QuoteDataGetOneBackendAttachFilesItems, optional) — Information on files attached to the quote by the sales rep.
- `trackingHistory` (list of QuoteDataGetOneTrackingHistoryItems, optional) — Provides a log of messages sent between the buyer and the sales rep.
- `extraFieldsInfo` (list of quoteExtraFieldConfig, optional) — The quote extra field configurations for the store.
- `recipients` (list of string, optional) — Lists additional recipients added to the quote. This is different from the additional recipients listed on quote emails. This array is not supported if you are using the new Add/Edit Quote experience. See [Managing Sales Quotes in B2B Edition (Help Center)](https://support.bigcommerce.com/s/article/B2B-Edition-Quotes) to learn more.

### RfqQuoteIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: SUCCESS)

### QuoteDataGetOneCurrency

- `token` (string, optional) — The currency symbol.
- `location` (enum, optional) — Determines whether the currency symbol is added to the left or the right of quote pricing.
  - Allowed values: `left`, `right`
- `currencyCode` (string, optional) — The three-letter code corresponding to the quote’s currency.
- `decimalToken` (string, optional) — The character used to separate decimal values in quote pricing.
- `decimalPlaces` (integer, optional) — The number of decimal places displayed in quote pricing. You can display a maximum of 4 decimal places.
- `thousandsToken` (string, optional) — The character used to separate the hundredths and thousandths places in quote pricing.
- `currencyExchangeRate` (double, optional) — Overrides the built-in exchange rate between your store’s default currency and the quote’s selected currency. If left blank, the exchange rate defined in your store’s settings is used.

### ExtraFieldsItems

- `fieldName` (string, optional) — The name of the quote extra field.
- `fieldValue` (string, optional) — The value of the quote extra field.

### ProductListItems

- `productId` (integer, optional) — The unique identifier for the base line item.
- `productName` (string, optional) — The name of the line item.
- `variantId` (integer, optional) — The unique identifier for the line item variant.
- `sku` (string, optional) — The line item’s SKU.
- `basePrice` (double, optional) — The line item’s price before any discounts are applied.
- `discount` (double, optional) — The discount percentage applied to the line item.
- `offeredPrice` (double, optional) — The line item’s price after any discounts are applied. You can also use this field to override the base price without specifying a `discount` value.
- `quantity` (integer, optional) — The quantity of the line item.
- `orderQuantityMaximum` (integer, optional) — The maximum number of line item units that can be added to the quote. To set an unlimited order quantity, omit this field or use a value of `0`.
- `orderQuantityMinimum` (integer, optional) — The minimum number of line item units that can be added to the quote. To set a minimum quantity of zero, omit this field or use a value of `0`.
- `imageUrl` (string, optional) — The URL for the line item image on your storefront.
- `options` (list of ProductListItemsOptionsItems, optional) — Variant and modifier option information for the line item. This array is required if the line item has variant options.

### companyAddress

- `address` (string, optional) — The first line of the address.
- `apartment` (string, optional) — The second line of the address.
- `city` (string, optional) — The city on the address.
- `state` (string, optional) — The full name of the state on the address.
- `zipCode` (string, optional) — The postal code on the address.
- `country` (string, optional) — The full name of the country on the address.

### contactInfo

Contact information for the buyer on the quote. Display-only metadata; not used to resolve or validate the linked customer or Company record.

- `name` (string, optional) — The buyer’s full name.
- `email` (string, optional) — The buyer’s email address.
- `companyName` (string, optional) — The name of the Company associated with the quote’s buyer. For B2C customers and guest shoppers, this is the name of their business, if provided.
- `phoneNumber` (string, optional) — The buyer’s phone number.

### QuoteDataGetOneShippingMethod

- `id` (integer, optional) — The unique identifier for the shipping method.
- `b2bId` (integer, optional) — The unique identifier for custom shipping methods. This is the same value as the id value in the shipping array.
- `imageUrl` (string, optional) — The URL of the logo image for the shipping provider, if the quote has a real-time shipping method.
- `isCustom` (boolean, optional) — Indicates whether or not the quote is using a custom shipping method.
- `transitTime` (string, optional) — The estimated delivery time for a real-time shipping method.
- `additionalDescription` (string, optional) — A secondary description found on some real-time shipping methods.
- `type` (enum, optional) — The type of shipping method added to the quote. Custom shipping methods appear as `custom`, while static and real-time shipping methods appear as `provider_methodtype`, like `shipping_flatrate`.
  - Allowed values: `custom`, `provider_methodtype`, `shipping_flatrate`
- `cost` (double, optional) — The shipping rate on the quote.
- `description` (string, optional) — The name of the shipping method.

### QuoteDataGetOneBillingAddress

- `address` (string, optional) — The first line of the address.
- `apartment` (string, optional) — The second line of the address.
- `city` (string, optional) — The city on the address.
- `state` (string, optional) — The full name of the state on the address.
- `zipCode` (string, optional) — The postal code on the address.
- `country` (string, optional) — The full name of the country on the address.
- `label` (string, optional) — The address label specified in the Company account.
- `firstName` (string, optional) — The buyer’s first name on the address.
- `lastName` (string, optional) — The buyer’s last name on the address.
- `addressId` (double, optional) — The unique identifier for addresses associated with Company accounts.
- `stateCode` (string, optional) — The two-letter code for the state on the address.
- `countryCode` (string, optional) — The two-letter code for the country on the address.

### QuoteDataGetOneStoreInfo

- `storeName` (string, optional) — The name of the storefront.
- `storeAddress` (string, optional) — The storefront’s full origin address. The newline character is used to separate each line of text.
- `storeCountry` (string, optional) — The full name of the storefront’s origin country.
- `storeLogo` (string, optional) — The image URL for the storefront logo.

### QuoteDataGetOneCompanyInfo

- `companyId` (integer, optional) — The unique identifier for the Company account.
- `companyName` (string, optional) — The Company account name.
- `companyAddress` (string, optional) — The first line of the primary address for the Company account.
- `companyCity` (string, optional) — The city of the primary address for the Company account.
- `companyState` (string, optional) — The state of the primary address for the Company account, if applicable.
- `companyZipCode` (string, optional) — The postal code of the primary address for the Company account.
- `companyCountry` (string, optional) — The full name of the country on the primary address of the Company account.
- `companyphoneNumber` (string, optional) — The phone number associated with the Company account.

### QuoteDataGetOneSalesRepInfo

- `salesRepName` (string, optional) — The name of the sales rep.
- `salesRepEmail` (string, optional) — The sales rep’s email address.
- `salesRepPhoneNumber` (string, optional) — The sales rep’s phone number.

### QuoteDataGetOneStorefrontAttachFilesItems

- `id` (integer, optional) — The unique identifier assigned to the file attachment.
- `fileName` (string, optional) — The attachment’s file name.
- `fileType` (string, optional) — The attachment’s file type.
- `fileUrl` (string, optional) — The download link for the attachment file.

### QuoteDataGetOneBackendAttachFilesItems

- `id` (integer, optional) — The unique identifier assigned to the file attachment.
- `fileName` (string, optional) — The attachment’s file name.
- `fileType` (string, optional) — The attachment’s file type.
- `fileUrl` (string, optional) — The download link for the attachment file.

### QuoteDataGetOneTrackingHistoryItems

- `date` (double, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the message was sent.
- `role` (string, optional) — The sender of the message. Buyers are designated as `Customer:` while sales reps are designated as `Sales rep:`
- `message` (string, optional) — The contents of the message.

### quoteExtraFieldConfig

An extra field configuration for quotes, as returned by the B2B Edition extra-fields serializer.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.
- `valueConfigs` (QuoteExtraFieldConfigValueConfigs, optional) — The raw value configuration stored for the extra field.

### ProductListItemsOptionsItems

- `optionId` (integer, optional) — The unique identifier for the line item’s variant or modifier option.
- `optionValue` (string, optional) — The unique identifier for the line item’s selected option value.
- `optionLabel` (string, optional) — The name of the line item’s selected option value.
- `optionName` (string, optional) — The name of the line item’s variant or modifier option.

### QuoteExtraFieldConfigValueConfigs

The raw value configuration stored for the extra field.

- `defaultValue` (string, optional) — The stored default value.
- `maximumLimit` (string, optional) — The stored limit. Holds the value of `maximumLength`, `numberOfRows`, or `maximumValue`, depending on `fieldType`.
- `listOfValue` (list of string, optional) — The stored dropdown values.
- `labelName` (string, optional) — The stored label, if one was set.

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "quoteNumber": "QN101234",
    "status": 0,
    "bcOrderId": "195",
    "orderId": "112495",
    "channelName": "b2B Store",
    "createdAt": 1622619778,
    "expiredAt": 1722619778,
    "createdBy": "Marie Curie",
    "subtotal": 1495,
    "channelId": 1,
    "quoteTitle": "Plates - Custom Etching",
    "referenceNumber": "03302025-0001",
    "currency": {
      "token": "$",
      "location": "left",
      "currencyCode": "USD",
      "decimalToken": ".",
      "decimalPlaces": 2,
      "thousandsToken": ",",
      "currencyExchangeRate": 1.34
    },
    "extraFields": [
      {
        "fieldName": "I want a sales representative to call me at the provided phone number.",
        "fieldValue": "Yes"
      }
    ],
    "notes": "Use the in-quote messaging system to contact us about products, pricing, or other quote information.",
    "discount": 20,
    "grandTotal": 1495,
    "legalTerms": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.",
    "displayDiscount": true,
    "allowCheckout": true,
    "productList": null,
    "shippingAddress": {
      "addressId": 12345,
      "countryCode": "US",
      "firstName": "Marie",
      "label": "Default Shipping",
      "lastName": "Curie",
      "stateCode": "TX"
    },
    "contactInfo": {
      "name": "Marie Curie",
      "email": "string",
      "companyName": "Great Buys Incorporated",
      "phoneNumber": "512-200-1234"
    },
    "updatedAt": 1722619778,
    "discountType": 0,
    "discountValue": 25,
    "shippingTotal": 150.95,
    "taxTotal": 140.67,
    "totalAmount": 1495,
    "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/logo.png",
    "shippingMethod": {
      "id": 1725,
      "b2bId": 1725,
      "imageUrl": "https://fedex.com/logo.png",
      "isCustom": true,
      "transitTime": "2 business days",
      "additionalDescription": "Priority Mail International",
      "type": "shipping_flatrate",
      "cost": 175.95,
      "description": "LTL - With Lift Gate"
    },
    "billingAddress": {
      "address": "512 Bluebonnet Lane",
      "apartment": "Building 100",
      "city": "Austin",
      "state": "Texas",
      "zipCode": "78704",
      "country": "United States",
      "label": "Default Shipping",
      "firstName": "Marie",
      "lastName": "Curie",
      "addressId": 12345,
      "stateCode": "TX",
      "countryCode": "US"
    },
    "storeInfo": {
      "storeName": "B2B Store",
      "storeAddress": "123 Main Street\nAustin, TX 78704\nUnited States of America",
      "storeCountry": "United States",
      "storeLogo": "https://cdn11.bigcommerce.com/s-1234abcd/product_images/bc_logo_1666214140__52549.png"
    },
    "companyInfo": {
      "companyId": 5456,
      "companyName": "Great Buys Incorporated",
      "companyAddress": "512 Bluebonnet Lane",
      "companyCity": "Austin",
      "companyState": "Texas",
      "companyZipCode": "78704",
      "companyCountry": "United States",
      "companyphoneNumber": "512-200-1234"
    },
    "salesRepInfo": {
      "salesRepName": "Isaac Newton",
      "salesRepEmail": "inewton@mybcstore.com",
      "salesRepPhoneNumber": "512-111-4444"
    },
    "storefrontAttachFiles": [
      {
        "id": 12345,
        "fileName": "fintech intake form - filled out.csv",
        "fileType": "text/csv",
        "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
      }
    ],
    "backendAttachFiles": [
      {
        "id": 12345,
        "fileName": "fintech intake form - filled out.csv",
        "fileType": "text/csv",
        "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
      }
    ],
    "trackingHistory": [
      {
        "date": 1630489012,
        "role": "Customer: Marie Curie",
        "message": "Are there bulk discounts available?"
      }
    ],
    "extraFieldsInfo": [
      {
        "id": 1,
        "uuid": "string",
        "fieldName": "string",
        "labelName": "string",
        "fieldType": 0,
        "isRequired": true,
        "isUnique": true,
        "visibleToEnduser": true,
        "configType": 1,
        "defaultValue": "string",
        "maximumLength": "string",
        "numberOfRows": "string",
        "maximumValue": "string",
        "listOfValue": [
          "string"
        ],
        "valueConfigs": {
          "defaultValue": "string",
          "maximumLimit": "string",
          "listOfValue": [
            "string"
          ],
          "labelName": "string"
        }
      }
    ],
    "recipients": [
      "mcurie@greatbuysic.com",
      "alavoisier@greatbuysinc.com"
    ]
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456"

querystring = {"date":"04/07/2025"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456?date=04%2F07%2F2025")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```